# -*- coding: utf-8 -*-
# Generated by Django 1.11.29 on 2020-12-17 10:48
from __future__ import unicode_literals
import re

from bs4 import BeautifulSoup
from django.db import migrations
from django.utils import translation
from django.conf import settings as django_settings
from django.core.exceptions import FieldError

URL_NAME_RE = r"url '(\w+)'"


def replace_setting_urls(apps, schema_editor):
    try:
        SettingValueTranslation = apps.get_model('core', 'SettingValueTranslation')
        settings = SettingValueTranslation.objects.filter(master__setting__group__name="email")
        for setting in settings:
            setting.value = setting.value.replace("url }}.", "url }} ")
            setting.save()
    except (LookupError, FieldError):
        with translation.override(django_settings.LANGUAGE_CODE):
            SettingValue = apps.get_model('core', 'SettingValue')
            settings = SettingValue.objects.filter(setting__group__name="email")
            for setting in settings:
                if setting.value:
                    setting.value = setting.value.replace("url }}.", "url }} ")
                    setting.save()


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0046_delete_review_request_sent'),
    ]

    operations = [
        migrations.RunPython(replace_setting_urls, reverse_code=migrations.RunPython.noop),
    ]
